Languages.LanguageSet (Encode/Decode Utilities (Version 1.10))
Date: 2018-10-22

org.apache.commons.codec.language.bm

## Class Languages.LanguageSet

- java.lang.Object
- - org.apache.commons.codec.language.bm.Languages.LanguageSet

- Direct Known Subclasses:
    Languages.SomeLanguages
  Enclosing class:
    Languages

      public abstract static class Languages.LanguageSet
      extends java.lang.Object

  A set of languages.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LanguageSet()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract boolean` | `contains(java.lang.String language)`
    `static Languages.LanguageSet` | `from(java.util.Set<java.lang.String> langs)`
    `abstract java.lang.String` | `getAny()`
    `abstract boolean` | `isEmpty()`
    `abstract boolean` | `isSingleton()`
    `(package private) abstract Languages.LanguageSet` | `merge(Languages.LanguageSet other)`
    `abstract Languages.LanguageSet` | `restrictTo(Languages.LanguageSet other)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LanguageSet

          public LanguageSet()

  - ### Method Detail

    - #### from

          public static Languages.LanguageSet from(java.util.Set<java.lang.String> langs)

    - #### contains

          public abstract boolean contains(java.lang.String language)

    - #### getAny

          public abstract java.lang.String getAny()

    - #### isEmpty

          public abstract boolean isEmpty()

    - #### isSingleton

          public abstract boolean isSingleton()

    - #### restrictTo

          public abstract Languages.LanguageSet restrictTo(Languages.LanguageSet other)

    - #### merge

          abstract Languages.LanguageSet merge(Languages.LanguageSet other)

commons-codec version 1.10 - Copyright © 2002-2018 - Apache Software Foundation